[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# MinuteOfTheMonth

Calculate number of minutes elapsed since the start of the month.

## Declaration

Source position: dateutil.inc line 206

`function MinuteOfTheMonth(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Moment in the month.

## Function result

Number of minutes elapsed since the start of the month.

## Description

MinuteOfTheMonth returns the number of minutes that have passed since the start of the Month (00:00:00) till the moment indicated by AValue. This is a zero-based number, i.e. 00:00:59 on the first day of the month will return 0.

For an example, see the WeekOfTheMonth function.

## See also

WeekOfTheMonth |  | Extract the week of the month (and optionally month and year) from a TDateTime value
DayOfTheMonth |  | Extract the day (of month) part of a TDateTime value
HourOfTheMonth |  | Calculate the number of hours passed since the start of the month.
MinuteOfTheMonth |  | Calculate number of minutes elapsed since the start of the month.
SecondOfTheMonth |  | Calculate number of seconds elapsed since the start of the month.
MilliSecondOfTheMonth |  | Calculate number of milliseconds elapsed since the start of the month.